Package org.eclipse.m2m.atl.emftvm.util

# Interface TypeMap<K,V>

Type Parameters:
  `K` -
  `V` -

All Superinterfaces:
  `Map<K,V>`

All Known Implementing Classes:
  `TypeHashMap`

public interface TypeMap<K,V> extends Map<K,V>
Provides extra functionality for finding supertypes of keys representing types.

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Method Summary

Modifier and Type
Method
Description
`void`
`findAllKeys(Object key, Set<Object> keys)`
Finds this key, if contained, and any contained supertype keys.
`Object`
`findKey(Object key)`
Finds this key or a supertype key if contained, or `null` if neither is not contained.

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

## Method Details

### findKey

Object findKey(Object key)
Finds this key or a supertype key if contained, or `null` if neither is not contained.

Parameters:
  `key` - the key to find
Returns:
  this key or a supertype key if contained, or `null` if neither is not contained
See Also:
  - `Map.containsKey(Object)`

### findAllKeys

void findAllKeys(Object key, Set<Object> keys)
Finds this key, if contained, and any contained supertype keys.

Parameters:
  `key` - the key to find
  `keys` - the collection in which to store the found keys
See Also:
  - `Map.containsKey(Object)`